from typing import List
from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    PROJECT_NAME: str = "Simple FastAPI Application"
    PROJECT_DESCRIPTION: str = "A simple FastAPI application with SQLite database"
    PROJECT_VERSION: str = "0.1.0"

    API_V1_STR: str = "/api/v1"

    # CORS settings
    ALLOWED_ORIGINS: List[str] = ["*"]

    class Config:
        case_sensitive = True


settings = Settings()
